%define name	pdksh
%define version	5.2.14
%define release	%mkrel 20
%define subrel 2

Summary:	A public domain clone of the Korn shell (ksh)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain and BSD-like and GPLv2+
Group:		Shells
URL:		http://www.cs.mun.ca/~michael/pdksh
Source:		ftp://ftp.cs.mun.ca/pub/pdksh/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Patch0:		pdksh-5.2.14-manloc.patch
# debian patch
Patch1:		pdksh-5.2.14-debian.patch

%description
The pdksh package contains PD-ksh, a clone of the Korn shell (ksh).
The ksh shell is a command interpreter intended for both interactive
and shell script use.  Ksh's command language is a superset of the
sh shell language.

Install the pdksh package if you want to use a version of the ksh
shell.

%prep
%setup -q
%patch0 -p1 -b .manloc
%patch1 -p1 -b .debian

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -DDEBIAN " %configure
%make

%install
rm -rf %{buildroot}
%makeinstall
# Move ksh to /bin and create a symlink in /usr/bin
mkdir -p %{buildroot}/bin
mv %{buildroot}%{_bindir}/ksh %{buildroot}/bin/ksh
ln -s /bin/ksh %{buildroot}%{_bindir}/ksh
# Create symlinks for pdksh
ln -s /bin/ksh %{buildroot}%{_bindir}/pdksh
ln -s ksh.1 %{buildroot}%{_mandir}/man1/pdksh.1

%post
/usr/share/rpm-helper/add-shell %{name} $1 /bin/ksh

%postun
/usr/share/rpm-helper/del-shell %{name} $1 /bin/ksh

%files
%defattr(-,root,root)
%doc LEGAL README NOTES PROJECTS NEWS BUG-REPORTS
/bin/ksh
%{_bindir}/ksh
%{_bindir}/pdksh
%{_mandir}/*/*


%changelog
* Mon Mar 17 2008 Vincent Danen <vdanen@mandriva.com> 5.2.14-20.2mdv2008.0
- build for updates

* Sun Mar 16 2008 Funda Wang <fundawang@mandriva.org> 5.2.14-20.1mdv2008.0
+ Revision: 188170
- Fix wrong link /usr/bin/ksh, as it should point to /bin/ksh.

* Thu Aug 16 2007 Adam Williamson <awilliamson@mandriva.com> 5.2.14-20mdv2008.0
+ Revision: 64058
- use Fedora license policy
- From Fredrik Himpe:
  	- update Debian patch to latest version to fix #30308
  	- add D_FILE_OFFSET_BITS=64 to CFLAGS to support files >2GB


* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 5.2.14-19mdv2007.0
+ Revision: 120049
- Import pdksh

* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 5.2.14-19mdv2007.1
- Rebuild, %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.2.14-18mdk
- Rebuild

* Sat Apr 16 2005 Claudio Matsuoka <claudio@mandriva.com> 5.2.14-17mdk
- added a collection of patches from OpenBSD and Debian, providing
  command line completion with escape sequences, secure tempfile
  creation and proper alignment for IA64.
- redundant patches commented out

* Fri Aug 20 2004 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.14-16mdk
- rebuild

